pub mod text_utils;

use rand::RngExt;
pub use text_utils::*;

/// Generate a CSPRNG ID using alphanumeric characters (a-z, A-Z, 0-9)
pub fn csprng(take: usize) -> String {
  rand::rng()
    .sample_iter(rand::distr::Alphanumeric)
    .take(take)
    .map(char::from)
    .collect()
}
